diff mbox

[RISU,8/9] new: record_traces.sh helper script

Message ID 20161202155935.3130-9-alex.bennee@linaro.org
State New
Headers show

Commit Message

Alex Bennée Dec. 2, 2016, 3:59 p.m. UTC
A simple script to run through a bunch of binaries and generate their
trace files.

Signed-off-by: Alex Bennée <alex.bennee@linaro.org>

---
 record_traces.sh | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100755 record_traces.sh

-- 
2.10.2
diff mbox

Patch

diff --git a/record_traces.sh b/record_traces.sh
new file mode 100755
index 0000000..89c62d5
--- /dev/null
+++ b/record_traces.sh
@@ -0,0 +1,16 @@ 
+#!/bin/sh
+#
+# Record traces
+#
+# A risu helper script to batch process a bunch of binaries and record their outputs
+#
+set -e
+
+
+for f in $@; do
+    echo "Running risu against $f"
+    t="$f.trace"
+    ./risu --master $f -t $t
+    echo "Checking trace file OK"
+    ./risu $f -t $t
+done